| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLMultiTextureCoordinateElement Class Reference
Element Classes

The SoGLMultiTextureCoordinateElement class stores the current gltexture coordinates for several units. More...

`#include <Inventor/elements/SoGLMultiTextureCoordinateElement.h>`

Inherits SoMultiTextureCoordinateElement.

## Public Member Functions

virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
| FIXME: write doc.
virtual void | pop (SoState *state, const SoElement *prevTopElement)
| FIXME: write doc.
virtual SoTextureCoordinateElement::CoordType | getType (const int unit) const
| FIXME: write doc.
void | send (const int unit, const int index) const
| FIXME: write doc.
void | send (const int unit, const int index, const SbVec3f &c, const SbVec3f &n) const
| FIXME: write doc.
void | initRender (const SbBool *enabled, const int maxenabled) const
Public Member Functions inherited from SoMultiTextureCoordinateElement
virtual void | init (SoState *state)
| FIXME: write doc.
virtual SoTextureCoordinateElement::CoordType | getType (const int unit) const
| FIXME: write doc.
const SbVec4f & | get (const int unit, const SbVec3f &point, const SbVec3f &normal) const
int32_t | getNum (const int unit) const
| FIXME: write doc.
SbBool | is2D (const int unit) const
| FIXME: write doc. (for backwards compability. Use getDimension() instead).
int32_t | getDimension (const int unit) const
const SbVec2f & | get2 (const int unit, const int index) const
| FIXME: write doc.
const SbVec3f & | get3 (const int unit, const int index) const
const SbVec4f & | get4 (const int unit, const int index) const
| FIXME: write doc.
const SbVec2f * | getArrayPtr2 (const int unit) const
const SbVec3f * | getArrayPtr3 (const int unit) const
const SbVec4f * | getArrayPtr4 (const int unit) const
virtual void | push (SoState *state)
virtual SbBool | matches (const SoElement *elem) const
SoElement * | copyMatchInfo (void) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual SbBool | matches (const SoElement *element) const =0
virtual SoElement * | copyMatchInfo (void) const =0
void | setDepth (const int depth)
int | getDepth (void) const
virtual void | print (FILE *file=stdout) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | setTexGen (SoState *const state, SoNode *const node, const int unit, SoTexCoordTexgenCB *const texgenFunc, void *const texgenData=NULL, SoTextureCoordinateFunctionCB *const func=NULL, void *const funcData=NULL)
| FIXME: write doc.
static const SoGLMultiTextureCoordinateElement * | getInstance (SoState *const state)
| FIXME: write doc.
Static Public Member Functions inherited from SoMultiTextureCoordinateElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | setDefault (SoState *const state, SoNode *const node, const int unit)
| FIXME: write doc.
static void | setFunction (SoState *const state, SoNode *const node, const int unit, SoTextureCoordinateFunctionCB *const func, void *const userdata)
| FIXME: write doc.
static void | set2 (SoState *const state, SoNode *const node, const int unit, const int32_t numCoords, const SbVec2f *const coords)
| FIXME: write doc.
static void | set3 (SoState *const state, SoNode *const node, const int unit, const int32_t numCoords, const SbVec3f *const coords)
static void | set4 (SoState *const state, SoNode *const node, const int unit, const int32_t numCoords, const SbVec4f *const coords)
| FIXME: write doc.
static SoTextureCoordinateElement::CoordType | getType (SoState *const state, const int unit)
static const SoMultiTextureCoordinateElement * | getInstance (SoState *const state)
| FIXME: write doc.
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

| SoGLMultiTextureCoordinateElement (void)
virtual | ~SoGLMultiTextureCoordinateElement ()
virtual void | setElt (const int unit, SoTexCoordTexgenCB *func, void *data=NULL)
| FIXME: write doc.
Protected Member Functions inherited from SoMultiTextureCoordinateElement
| SoMultiTextureCoordinateElement (void)
virtual | ~SoMultiTextureCoordinateElement ()
UnitData & | getUnitData (const int unit)
const UnitData & | getUnitData (const int unit) const
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members

Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoMultiTextureCoordinateElement
SbVec2f | convert2
SbVec3f | convert3
SbVec4f | convert4
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoGLMultiTextureCoordinateElement class stores the current gltexture coordinates for several units.

## Constructor & Destructor Documentation

SoGLMultiTextureCoordinateElement::SoGLMultiTextureCoordinateElement | ( | void | ) |  |

protected

The constructor.

SoGLMultiTextureCoordinateElement::~SoGLMultiTextureCoordinateElement | ( | ) |  |

protectedvirtual

The destructor.

## Member Function Documentation

void * SoGLMultiTextureCoordinateElement::createInstance | ( | void | ) |  |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoGLMultiTextureCoordinateElement::initClass | ( | void | ) |  |

static

This static method initializes static data for the SoGLMultiTextureCoordinateElement class.

void SoGLMultiTextureCoordinateElement::initRender | ( | const SbBool * | enabled,
|  | const int | maxenabled
| ) |  | const

Internal method that is called from SoGLTextureCoordinateElement to set up optimized rendering.

The documentation for this class was generated from the following files:

- SoGLMultiTextureCoordinateElement.h
- SoGLMultiTextureCoordinateElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.